Name: xchm
Version: 0.8.11
Release: 1mdk
Summary: xCHM - the CHM viewer for UNIX
License: GPL
Group: Text tools
Url: http://xchm.sourceforge.net

Source: %name-%version.tar.bz2
Source1: %name-%version-doc.tar.bz2
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png

# Automatically added by buildreq on Tue Sep 16 2003
BuildRequires: libchm-devel
BuildRequires: libtiff
BuildRequires: wxGTK-devel = 2.4.2
# For doc
BuildRequires: ghostscript
Buildrequires: tetex-latex
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
xCHM - the CHM viewer for UNIX

%prep
%setup -q
%setup -q -a 1 
%configure

%build
%make

%install
%makeinstall_std

mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png
install -m 644 %SOURCE3 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE4 %buildroot%_liconsdir/%name.png

cat >%buildroot%{_menudir}/%{name} <<EOF
?package(%{name}):\
        command="%{_bindir}/%{name}"\
        title="Xchm"\
        longtitle="Unix chm files viewer"\
        needs="x11"\
        section="Documentation"\
        icon="%{name}.png"
EOF

(
cd %name-%version-doc/latex/
make
)

# Doc are install elsewhere
rm -fr %buildroot/%_datadir/doc

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc %name-%version-doc/html
%doc %name-%version-doc/latex/*.dvi
%_bindir/%name
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_datadir/pixmaps/%{name}*.xpm

%changelog
* Fri Jan 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.11-1mdk
- 0.8.11

* Tue Jan  6 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.8.10-1mdk
- 0.8.10

* Sun Dec 07 2003 Michael Scherer <misc@mandrake.org> 0.8.9-1mdk 
- 0.8.9

* Mon Nov 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.8-1mdk
- 0.8.8

* Tue Oct 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.7-1mdk
- 0.8.7
- add %%clean section

* Tue Oct 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.6-1mdk
- 0.8.6

* Thu Oct 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.4-1mdk
- 0.8.4

* Sun Sep 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.3-1mdk
- Mdk spec from alt rpm

* Wed Sep 24 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.8.2-alt1
- 0.8.2
- added a popup menu with common options (back, forward, copy selection, find in page)
- beautified the tree control and enabled variable sizes for the tree items

* Mon Sep 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.8.1-alt1
- 0.8.1
- added support for 'javascript:fullSize' URLs
- beautified the font dialog a bit
- fixed empty title in the titlebar bug
- refined the synchronization between the contents tree and the wxHtmlWindow displayed page

* Wed Sep 10 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.8-alt1
- 0.8
- major feature enhancements
- added bookmark support

* Mon Sep 1 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.7.1-alt1
- 0.7.1
- fixed bugs in the full document HTML search
- added a 'Search titles only' checkbox

* Thu Aug 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.7-alt1
- 0.7
- added a full search panel and changed the layout of the contents panel

* Wed Aug 27 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Mon Aug 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6.1-alt1
- 0.6.1
- fixed Unicode bug

* Thu Aug 7 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6-alt1
- 0.6
- added a custom selection font chooser dialog

* Tue Aug 5 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5.2-alt1
- First version of RPM package.

